Subject: Re: bug#43610: IceCat segfault

From: Mike Gerwitz <[email-masked]>
Date: Wed, 30 Sep 2020 21:56:04 -0400

On Sat, Sep 26, 2020 at 14:05:53 -0400, Mark H Weaver wrote:
> I'm particularly sensitive to the memory requirements at build time,
> because I choose not to trust the build farm and therefore to build my
> entire Guix system with GNOME from source code on a relatively old
> Thinkpad X200 with only 4 GB of RAM.  I've been doing this for many
> years, and I'd like to enable other Guix users to do so if they wish.

As someone with the same system as you, I have appreciated this for
as long as I've used Guix.  Thank you.

> My impression is that IceCat debug outputs would primarily useful to
> people who are actively developing IceCat, in which case it makes more
> sense to build it manually to allow incremental rebuilds after modifying
> the source code.

I agree---I think it's best not to burden all users (that choose to or
have to build) in this case.

-- 
Mike Gerwitz